{% extends "base.html" %}
{% block title %}The Gravitational-Wave Candidate Event Database{% endblock %}
{% block heading %}{% endblock %}
{% block pageid %}home{% endblock %}
{% block jscript %}
{% endblock %}

{% block content %}

  <h5>GraceDB Overview</h5>
    <hr>
    <p >
    The <b>Gra</b>vitational-Wave <b>C</b>andidate <b>E</b>vent <b>D</b>ata<b>b</b>ase (<b>GraceDB</b>) is a service operated by the <a href="https://www.ligo.org/">LIGO Scientific Collaboration</a>. It provides a centralized location for aggregating and retrieving information about candidate gravitational-wave events. GraceDB provides an <a href="{% url "legacy_apiweb:default:root" %}">API</a> for programmatic access, and a <a href="https://ligo-gracedb.readthedocs.io/">client package</a> is available for interacting with the API.
    </p>
    <!--
    <div style="border:3px; border-style:solid; border-color:#FF0000; padding:
        1.25em; border-radius: 10px;">
    <b> Attention LVK Users: </b> As of October 2022, LVAlert has been
    decomissioned and replaced by <a href="https://git.ligo.org/computing/igwn-alert/client"><span
                                class="text-monospace">igwn-alert</span></a>.
    For more information on transitioning your workflows, please consult:
    <li> <a href="https://computing.docs.ligo.org/igwn-alert/client/lvalert_to_igwnalert.html">
            The LVAlert to igwn-alert transition guide </a></li>
    <li><a href="https://computing.docs.ligo.org/igwn-alert/client/guide.html">The
            igwn-alert User Guide </a></li>
    </div> -->
    <br>
   <h5>Useful information</h5>
    <hr>
    <li >Information about GW alerts and real-time data products is available in the <a href="https://emfollow.docs.ligo.org/userguide/">LIGO/Virgo Public Alert Guide</a>.</li>
    <li ><a href="https://monitor.ligo.org/ldg">Real-time status of the LIGO Data Grid</a>.</li>
    <li >Need help? Send an email to <a
            href="mailto:computing-help@igwn.org">computing-help@igwn.org</a>,
        or LIGO/Virgo users can report issues on the GraceDB <a
                                                                 href="https://git.ligo.org/computing/gracedb/server/issues">Gitlab page</a>.</li>
    </ul>
    <br>
{% if information %}
    {{ information|safe }}
{% endif %}
     <br>
    <p ><small><b>Server code version: </b> <a
            href="https://git.ligo.org/computing/gracedb/server/-/tree/gracedb-{{server_version}}" class="text-monospace" >{{server_version}}</a></p></small>

<!--XXX Infrastructure for human signoffs. Hopefully this will not be permanent. -->
{% if signoff_authorized %}
    {% if signoff_superevent_ids|length or new_signoff_graceids|length or older_signoff_graceids|length %}
    <div class="signoff-area">
    <h2>Attention {{signoff_instrument}} Operator</h2>
    <br />
    {% if signoff_superevent_ids|length %}
        <h3>The following superevents require your signoff:</h3>
        {% if signoff_superevent_ids|length %}
        <ul>
        {% for s_id in signoff_superevent_ids %}
            <li><a href="{% url "superevents:view" s_id %}">{{ s_id }}</a></li>
        {% endfor %}
        </ul>
        {% endif %}
    {% endif %}
    {% if new_signoff_graceids|length or older_signoff_graceids|length %}
        <h3>The following events require your sign-off:</h3>
        {% if new_signoff_graceids|length %}
        <p>Events submitted within the last 24 hours:</p>
        <ul>
        {% for graceid in new_signoff_graceids %}
            <li><a href="{% url "view" graceid %}">{{ graceid }}</a></li>
        {% endfor %} 
        </ul>
        {% endif %}
        {% if older_signoff_graceids|length %}
        <p>Events older than 24 hours:</p>
        <ul>
        {% for graceid in older_signoff_graceids %}
            <li><a href="{% url "view" graceid %}">{{ graceid }}</a></li>
        {% endfor %}
        </ul>
        {% endif %}
    {% endif %}
    <p>Please click on the link(s) above and use the form at the top of the page.</p>
    </div>
    {% endif %}
{% endif %}


{% endblock %}
